it-swarm.dev

いつ新しいメジャーリリースに移行するのですか?

新しい開発戦略では、LTSと呼ばれるバージョンが前倒しされることはありません。現在公開されている情報により、発表された3.5の代わりに3.4が使用されます。 4.0、4.1、4.2、4.3、4.4の計画があり、サイトがどのバージョンに移行されることが予想されるかを想定しています。

11
sovainfo

メジャーバージョン間の移行を計画する際に考慮すべき点がいくつかあります。上位の1つは、現在使用しているバージョンのサポート終了日またはEOL日付である必要があります。それが近い場合は、移動を計画する必要があります。

確立されたWebサイトについては、利用可能な機能を確認することをお勧めします。新しいバージョンにすぐに必要なものはありますか?その場合は、移行の計画を開始してください。サイトが正常に動作していて、最新の機能を必要としない場合は、サポートされている限り、現在のバージョンを維持できます。

移行する場合、拡張機能のサポートはどのようになりますか?使用する拡張機能には、移行先のバージョンと互換性のあるバージョンがありますか?もしそうなら、それは物事を大幅に簡素化しますが、そうでなければ、それらの機能を別のものに置き換えることにどれだけの労力が費やされますか?

最後に、安定とタグ付けされたすべてのリリースは、ビルドするのに適しているはずですが、個人的には、X.0またはX.1リリースの使用については、通常、バグが発生する可能性が高いため、少し注意が必要です。 X.0メジャーリリースに入る可能性のある変更。個人的には、X.2またはX.3リリースは、リリースシリーズが主要な使用の準備ができるまで成熟し始めたときだと思います。

6
Michael

Joomlaからスタート! 3.4すべてのバージョンは安定したバージョンであり、新しいマイナーバージョンがリリースされない限り、少なくとも2年間はサポートされます。その場合、以前のマイナーバージョンはサポートされず、現在のマイナーバージョンは少なくとも2年間サポートされます。したがって、3.xシリーズへの移行を計画している場合は、v3.4から安全に移行できます。

同じことが4.xシリーズにも当てはまります。4.0も安定したバージョンであり、新しいマイナーバージョン(たとえば4.1)がリリースされない限り、少なくとも2年間はサポートされます。したがって、4.xシリーズの任意のマイナーバージョンに移行できます。ただし、すべてのメジャーリリースには下位互換性のない変更があることに注意してください。したがって、この移行は非常に慎重に計画する必要があります。

もちろん、ベータ版またはRCリリースに移行するべきではありません。これらはテスト目的のみであるためです。

1
Dmitry Rekun

私の理解では、3.4以降、常に最新のリリースを使用する必要があります。リリースから2年間サポートされ、古いバージョン(3.3、...)のサポートが中止されるためです。シリーズ(3.x)のすべてのリリースは下位互換性があるため、更新は通常問題ありません。

新しい4.xシリーズは下位互換性を損なうため、新しい機能を使用する場合にのみアップグレードしてください。

0
fruppel
  1. 開発を開始する場合は、入手可能な最新のメジャーバージョンを使用します(入手可能な場合は4シリーズを使用します)
  2. 新しいマイナーバージョン(3.4)がリリースされたら、現在のバージョン(3.3)がサポートされるまで待ちます。当時、新しいバージョンには重大なバグ修正があったはずです。これで、ウェブサイトを安全に更新できるようになりました。

ヒント:常に同じサーバー設定でテストサイトを維持し、最初にテストしてからバージョンを使用します。

0
Shyam